-- play_recordings.lua
-- Play RZX recordings from the user's archive
-- Mark Incley 07.01.2023

while true do
	inks.load_from_library()
	if inks.is_playing_recording() then
		while inks.is_playing_recording() do
			inks.dreamysleepynightiesnoozysnooze(100)	-- Wait a short while, then check again
		end
	else
		inks.dreamysleepynightiesnoozysnooze(1000 * 10)	-- Let the non-.rzx snapshot play for 10 seconds
	end
end
